Bug 18174 - Add the Koha::Object->update method
Summary: Add the Koha::Object->update method
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 18235 18314
  Show dependency treegraph
 
Reported: 2017-02-27 09:57 UTC by Marcel de Rooy
Modified: 2017-12-07 22:17 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18174: Add update to Koha::Object (3.11 KB, patch)
2017-02-27 09:58 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18174: Add update to Koha::Object (3.32 KB, patch)
2017-02-27 10:44 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18174: Add update to Koha::Object (3.21 KB, patch)
2017-02-27 11:04 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18174: Add update to Koha::Object (3.34 KB, patch)
2017-02-27 15:33 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18174: Add update to Koha::Object (3.42 KB, patch)
2017-03-07 18:20 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2017-02-27 09:57:11 UTC

    
Comment 1 Marcel de Rooy 2017-02-27 09:58:43 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2017-02-27 10:44:28 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2017-02-27 11:04:50 UTC
Created attachment 60699 [details] [review]
Bug 18174: Add update to Koha::Object

Since Koha::Objects has a update method, we should allow it too in
Koha::Object. Note that it is just redirecting to DBIx immediately.

Changed the exception when the method generates an error. The previous
code suggested that the method was not found, but this is not the case.

Test plan:
Run t/db_dependent/Koha/Object.t
Comment 4 Marc Véron 2017-02-27 15:33:38 UTC
Created attachment 60721 [details] [review]
Bug 18174: Add update to Koha::Object

Since Koha::Objects has a update method, we should allow it too in
Koha::Object. Note that it is just redirecting to DBIx immediately.

Changed the exception when the method generates an error. The previous
code suggested that the method was not found, but this is not the case.

Test plan:
Run t/db_dependent/Koha/Object.t

Followed test plan, tests passes OK.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 5 Marcel de Rooy 2017-02-27 18:05:11 UTC
(In reply to Marc Véron from comment #4)
> Signed-off-by: Marc Véron <veron@veron.ch>

Thanks, Marc
Comment 6 Jonathan Druart 2017-03-07 18:20:36 UTC
Created attachment 60889 [details] [review]
Bug 18174: Add update to Koha::Object

Since Koha::Objects has a update method, we should allow it too in
Koha::Object. Note that it is just redirecting to DBIx immediately.

Changed the exception when the method generates an error. The previous
code suggested that the method was not found, but this is not the case.

Test plan:
Run t/db_dependent/Koha/Object.t

Followed test plan, tests passes OK.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Kyle M Hall 2017-03-31 14:55:53 UTC
Pushed to master for 17.05, thanks Marcel!
Comment 8 Katrin Fischer 2017-04-02 17:46:00 UTC
This won't get ported back to 16.11.x as it is an enhancement.